Package net.shibboleth.shared.scripting

# Interface ScriptContextExtender

public interface ScriptContextExtender
Interface implemented by components that extend the `ScriptContext` of various components that rely on JSR-223 scripting.

Since:
  9.0.0

## Method Summary

Modifier and Type
Method
Description
`void`
`extendContext(ScriptContext scriptContext)`
Instructs the implementing component to decorate the input context with any additional content.

## Method Details

### extendContext

void extendContext(@Nonnull ScriptContext scriptContext)
Instructs the implementing component to decorate the input context with any additional content.

The context will already contain any default objects and typically the implementation of this interface will access those objects for context while adding additional content.

Extenders should generally ensure that they do not overwrite existing context variables with the same name, but may do so if the semantics are understood.

Parameters:
  `scriptContext` - the context, as decorated by the calling component